summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-06-06 09:44:01 +0200
committerHans de Graaff <graaff@gentoo.org>2021-06-06 09:44:01 +0200
commit3a2a637ec24e25d9b95d9c41cb068111dfa38e10 (patch)
tree91b6ff40f9e37256ad6f7c444618aa5e2ec6e525 /dev-ruby/actioncable/actioncable-6.1.2.1.ebuild
parentdev-ruby/activejob: cleanup (diff)
downloadgentoo-3a2a637ec24e25d9b95d9c41cb068111dfa38e10.tar.gz
gentoo-3a2a637ec24e25d9b95d9c41cb068111dfa38e10.tar.bz2
gentoo-3a2a637ec24e25d9b95d9c41cb068111dfa38e10.zip
dev-ruby/actioncable: cleanup
Package-Manager: Portage-3.0.18, Repoman-3.0.2 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby/actioncable/actioncable-6.1.2.1.ebuild')
-rw-r--r--dev-ruby/actioncable/actioncable-6.1.2.1.ebuild45
1 files changed, 0 insertions, 45 deletions
diff --git a/dev-ruby/actioncable/actioncable-6.1.2.1.ebuild b/dev-ruby/actioncable/actioncable-6.1.2.1.ebuild
deleted file mode 100644
index 133ed8eb608..00000000000
--- a/dev-ruby/actioncable/actioncable-6.1.2.1.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-USE_RUBY="ruby25 ruby26 ruby27"
-
-RUBY_FAKEGEM_RECIPE_DOC=""
-RUBY_FAKEGEM_DOCDIR=""
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
-
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-
-RUBY_FAKEGEM_EXTRAINSTALL="app"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem
-
-DESCRIPTION="Integrated WebSockets for Rails"
-HOMEPAGE="https://github.com/rails/rails"
-SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
-IUSE=""
-
-RUBY_S="rails-${PV}/${PN}"
-
-# Tests require many new dependencies, skipping for now
-RESTRICT="test"
-
-ruby_add_rdepend "
- ~dev-ruby/actionpack-${PV}:*
- dev-ruby/nio4r:2
- >=dev-ruby/websocket-driver-0.6.1:*
-"
-
-ruby_add_bdepend "
- test? (
- >=dev-ruby/railties-4.2.0
- dev-ruby/test-unit:2
- >=dev-ruby/mocha-0.14.0:0.14
- )"